package com.wd.workoffice.app;

import java.util.Arrays;
import java.util.List;

public interface Config {
    Boolean DEBUG = true;

    String REGEX_USERNAME = "^[\\w]{4,16}(?<!_)$";
    String REGEX_PASSWORD = "^[\\w]{6,16}(?<!_)$";
    int SIZE = 10;
    List<String> warehouseStatusList = Arrays.asList("全部类型", "销售订单", "外采购流程",
            "供应订单", "坩埚订单", "内部交易订单", "组装订单");
    List<String> warehouseCodeList = Arrays.asList("", "SO", "PO",
            "FO", "CO", "IO", "AO");
    List<String> STOCK_FLOW_TYPE = Arrays.asList("全部类型", "出库", "入库",
            "冻结", "解冻", "解冻出库");
    List<String> STOCK_FLOW_TYPE_CODE = Arrays.asList("", "20", "10",
            "21", "11", "22");

    int MAIN_NOTICE_TURNING = 4 * 1000;
    int SPLASH_TIME = 4 * 1000;
    int MAIN_BANNER_TURNING = 5 * 1000;
    int NET_CONNECTION_TIMEOUT = 10 * 1000;
    int NET_READ_TIMEOUT = 20 * 1000;
    int ACTIVITY_TURNING = 6 * 1000;

    String WV_DATA = "wv_data";
    String WV_TYPE = "wv_type";
    String WV_URL = "wv_url";
    String WV_TEXT = "wv_text";
}
