package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class OrderBean {

    /**
     * createdBy : 111
     * createdByName : null
     * createdTime : 2020-03-25 10:49:55
     * updatedBy : null
     * updatedByName : null
     * updatedTime : null
     * commenceFromId : null
     * createdType : null
     * orderType : SO
     * id : SO10744
     * customerId : 41
     * supplierId : null
     * launchUserId : 111
     * launchUserName : 冯帆
     * launchDeptId : 120
     * receiveUserId : 677
     * receiveUserName : 陈起来
     * receiveDeptId : 137
     * launchOrderAmount : 1482.0
     * orderTypeName : null
     * launchDeptName : 销售一公司
     * receiveDeptName : 锆碳公司
     * expandInfo : {"createdBy":null,"createdByName":null,"createdTime":null,"updatedBy":null,"updatedByName":null,"updatedTime":null,"id":"42fa73fade0ca1180ea6a41ed3633d1d","orderType":"SO","orderId":null,"intoStore":24,"outerStore":25,"usedStore":26,"returnStore":27,"outdeptLedger":"gk","invoiceOrderAmount":null,"comments":"jj","annex":null,"verifyTime":null,"verifyUserId":null,"verifyComment":null,"ensureTime":null,"ensureUserId":null,"ensureComment":null,"requireTime":"2022-03-25","warehouseTime":null,"handoverTime":null,"orderDesc":null,"erpId":null,"demond1":"jj","demond2":"jj","demond3":"kk","demond4":"kkk","demond5":"jki","verifyUserName":"冯帆","ensureUserName":"陈起来","intoStoreName":"销售一内库","outerStoreName":"销售一安阳现场","usedStoreName":"销售一未结算安阳","returnStoreName":"销售一退货库"}
     * status : 300
     * attr : 100
     * deptIdList : null
     * realOrderAmount : 1482.0
     * outerOrderAmount : 22.0
     * subProcessId : 550
     * version : 2
     * customerName : 安阳钢铁
     * subProcessName : 销售一公司默认流程
     * statusName : 已接单
     * attrName : 正常进行中
     * orderItems : [{"createdBy":null,"createdByName":null,"createdTime":null,"updatedBy":null,"updatedByName":null,"updatedTime":null,"id":"50207b598298430aa0b77cc5a6865844","orderId":"SO10744","productId":31,"innerPrice":741,"productCount":2,"type":"PDS","outerPrice":11,"storeSum":0,"shipSum":0,"packageSum":0,"usedSum":0,"invoiceSum":0,"usedReturnSum":null,"oddSum":0,"lotNumber":"GT200325002","serialNumber":null,"annex":null,"tranFromStockId":null,"customerBranchFactoryId":null,"version":0,"productName":"塞棒","itemFlows":[{"createdBy":111,"createdByName":null,"createdTime":"2020-03-25 10:49:55","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":902,"orderType":"SO","orderId":"SO10744","productId":31,"orderItemId":"50207b598298430aa0b77cc5a6865844","productCount":0,"eventCode":"SPLIT_PD","linkSerialNumber":null,"optUserId":111,"optComment":"拆成生产订单","eventCodeName":"拆成生产子订单","optUserName":"冯帆","orderTypeName":"销售订单","productName":"塞棒"}],"stockQuantityDetailList":null,"stockQuantityDetailMaps":[{"stockName":"销售一内库","quantity":0,"applyOut":0,"stockTypeName":"内库","stockId":24,"applyInto":0,"productName":null},{"stockName":"销售一安阳现场","quantity":0,"applyOut":0,"stockTypeName":"现场库","stockId":25,"applyInto":0,"productName":null},{"stockName":"销售一未结算安阳","quantity":0,"applyOut":0,"stockTypeName":"未结算库","stockId":26,"applyInto":0,"productName":null}],"productSoleCode":"70TNB393001","productSimpleCode":"B393","productSpec":"1530","productUnit":"支","productWeight":0,"canOutStoreProductSum":null,"canInStoreProductSum":null,"canUseProductSum":null,"canPackageSum":null,"launchDeptName":null,"launchDeptId":null,"receiveDeptName":null,"customerId":null,"customerName":null,"productOfKind":null,"canInvoiceSum":null,"orderType":null,"customerBranchFactoryName":null,"orderTypeName":null}]
     * orderFlows : [{"createdBy":677,"createdByName":null,"createdTime":"2020-03-25 10:56:16","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":441,"orderType":"SO","orderId":"SO10744","eventCode":"ACCEPT_OK","optUserId":677,"optComment":"","eventCodeName":"接单","optUserName":"陈起来","orderTypeName":"销售订单"},{"createdBy":111,"createdByName":null,"createdTime":"2020-03-25 10:53:42","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":440,"orderType":"SO","orderId":"SO10744","eventCode":"AUDIT_OK","optUserId":111,"optComment":"sdd","eventCodeName":"审核通过","optUserName":"冯帆","orderTypeName":"销售订单"},{"createdBy":111,"createdByName":null,"createdTime":"2020-03-25 10:49:55","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":439,"orderType":"SO","orderId":"SO10744","eventCode":"PO","optUserId":111,"optComment":"jj","eventCodeName":"创建订单","optUserName":"冯帆","orderTypeName":"销售订单"}]
     * requireTime : 2022-03-25 00:00:00
     * deptId : null
     * supplierName
     */
    private String supplierName;
    private int createdBy;
    private Object createdByName;
    private String createdTime;
    private Object updatedBy;
    private Object updatedByName;
    private Object updatedTime;
    private Object commenceFromId;
    private Object createdType;
    private String orderType;
    private String id;
    private int customerId;
    private Object supplierId;
    private int launchUserId;
    private String launchUserName;
    private int launchDeptId;
    private int receiveUserId;
    private String receiveUserName;
    private int receiveDeptId;
    private double launchOrderAmount;
    private String orderTypeName;
    private String launchDeptName;
    private String receiveDeptName;
    private ExpandInfoBean expandInfo;
    private int status;
    private int attr;
    private Object deptIdList;
    private double realOrderAmount;
    private double outerOrderAmount;
    private int subProcessId;
    private int version;
    private String customerName;
    private String subProcessName;
    private String statusName;
    private String attrName;
    private String requireTime;
    private String inStockName;
    private String enterStockName;
    private String usedStockName;
    private Object deptId;
    private List<OrderItemsBean> orderItems;
    private List<OrderFlowsBean> orderFlows;
    private String  serialNumber;
    private String appliedByName;
    private String applyRemark;

    public String getApplyRemark() {
        return applyRemark;
    }

    public void setApplyRemark(String applyRemark) {
        this.applyRemark = applyRemark;
    }

    public String getAppliedByName() {
        return appliedByName;
    }

    public void setAppliedByName(String appliedByName) {
        this.appliedByName = appliedByName;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getUsedStockName() {
        return usedStockName;
    }

    public void setUsedStockName(String usedStockName) {
        this.usedStockName = usedStockName;
    }

    public String getEnterStockName() {
        return enterStockName;
    }

    public void setEnterStockName(String enterStockName) {
        this.enterStockName = enterStockName;
    }

    public String getInStockName() {
        return inStockName;
    }

    public void setInStockName(String inStockName) {
        this.inStockName = inStockName;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public int getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(int createdBy) {
        this.createdBy = createdBy;
    }

    public Object getCreatedByName() {
        return createdByName;
    }

    public void setCreatedByName(Object createdByName) {
        this.createdByName = createdByName;
    }

    public String getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(String createdTime) {
        this.createdTime = createdTime;
    }

    public Object getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Object updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Object getUpdatedByName() {
        return updatedByName;
    }

    public void setUpdatedByName(Object updatedByName) {
        this.updatedByName = updatedByName;
    }

    public Object getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Object updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Object getCommenceFromId() {
        return commenceFromId;
    }

    public void setCommenceFromId(Object commenceFromId) {
        this.commenceFromId = commenceFromId;
    }

    public Object getCreatedType() {
        return createdType;
    }

    public void setCreatedType(Object createdType) {
        this.createdType = createdType;
    }

    public String getOrderType() {
        return orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getCustomerId() {
        return customerId;
    }

    public void setCustomerId(int customerId) {
        this.customerId = customerId;
    }

    public Object getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Object supplierId) {
        this.supplierId = supplierId;
    }

    public int getLaunchUserId() {
        return launchUserId;
    }

    public void setLaunchUserId(int launchUserId) {
        this.launchUserId = launchUserId;
    }

    public String getLaunchUserName() {
        return launchUserName;
    }

    public void setLaunchUserName(String launchUserName) {
        this.launchUserName = launchUserName;
    }

    public int getLaunchDeptId() {
        return launchDeptId;
    }

    public void setLaunchDeptId(int launchDeptId) {
        this.launchDeptId = launchDeptId;
    }

    public int getReceiveUserId() {
        return receiveUserId;
    }

    public void setReceiveUserId(int receiveUserId) {
        this.receiveUserId = receiveUserId;
    }

    public String getReceiveUserName() {
        return receiveUserName;
    }

    public void setReceiveUserName(String receiveUserName) {
        this.receiveUserName = receiveUserName;
    }

    public int getReceiveDeptId() {
        return receiveDeptId;
    }

    public void setReceiveDeptId(int receiveDeptId) {
        this.receiveDeptId = receiveDeptId;
    }

    public double getLaunchOrderAmount() {
        return launchOrderAmount;
    }

    public void setLaunchOrderAmount(double launchOrderAmount) {
        this.launchOrderAmount = launchOrderAmount;
    }

    public String getOrderTypeName() {
        return orderTypeName;
    }

    public void setOrderTypeName(String orderTypeName) {
        this.orderTypeName = orderTypeName;
    }

    public String getLaunchDeptName() {
        return launchDeptName;
    }

    public void setLaunchDeptName(String launchDeptName) {
        this.launchDeptName = launchDeptName;
    }

    public String getReceiveDeptName() {
        return receiveDeptName;
    }

    public void setReceiveDeptName(String receiveDeptName) {
        this.receiveDeptName = receiveDeptName;
    }

    public ExpandInfoBean getExpandInfo() {
        return expandInfo;
    }

    public void setExpandInfo(ExpandInfoBean expandInfo) {
        this.expandInfo = expandInfo;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public int getAttr() {
        return attr;
    }

    public void setAttr(int attr) {
        this.attr = attr;
    }

    public Object getDeptIdList() {
        return deptIdList;
    }

    public void setDeptIdList(Object deptIdList) {
        this.deptIdList = deptIdList;
    }

    public double getRealOrderAmount() {
        return realOrderAmount;
    }

    public void setRealOrderAmount(double realOrderAmount) {
        this.realOrderAmount = realOrderAmount;
    }

    public double getOuterOrderAmount() {
        return outerOrderAmount;
    }

    public void setOuterOrderAmount(double outerOrderAmount) {
        this.outerOrderAmount = outerOrderAmount;
    }

    public int getSubProcessId() {
        return subProcessId;
    }

    public void setSubProcessId(int subProcessId) {
        this.subProcessId = subProcessId;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getSubProcessName() {
        return subProcessName;
    }

    public void setSubProcessName(String subProcessName) {
        this.subProcessName = subProcessName;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public String getAttrName() {
        return attrName;
    }

    public void setAttrName(String attrName) {
        this.attrName = attrName;
    }

    public String getRequireTime() {
        return requireTime;
    }

    public void setRequireTime(String requireTime) {
        this.requireTime = requireTime;
    }

    public Object getDeptId() {
        return deptId;
    }

    public void setDeptId(Object deptId) {
        this.deptId = deptId;
    }

    public List<OrderItemsBean> getOrderItems() {
        return orderItems;
    }

    public void setOrderItems(List<OrderItemsBean> orderItems) {
        this.orderItems = orderItems;
    }

    public List<OrderFlowsBean> getOrderFlows() {
        return orderFlows;
    }

    public void setOrderFlows(List<OrderFlowsBean> orderFlows) {
        this.orderFlows = orderFlows;
    }

    public static class ExpandInfoBean {
        /**
         * createdBy : null
         * createdByName : null
         * createdTime : null
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : 42fa73fade0ca1180ea6a41ed3633d1d
         * orderType : SO
         * orderId : null
         * intoStore : 24
         * outerStore : 25
         * usedStore : 26
         * returnStore : 27
         * outdeptLedger : gk
         * invoiceOrderAmount : null
         * comments : jj
         * annex : null
         * verifyTime : null
         * verifyUserId : null
         * verifyComment : null
         * ensureTime : null
         * ensureUserId : null
         * ensureComment : null
         * requireTime : 2022-03-25
         * warehouseTime : null
         * handoverTime : null
         * orderDesc : null
         * erpId : null
         * demond1 : jj
         * demond2 : jj
         * demond3 : kk
         * demond4 : kkk
         * demond5 : jki
         * verifyUserName : 冯帆
         * ensureUserName : 陈起来
         * intoStoreName : 销售一内库
         * outerStoreName : 销售一安阳现场
         * usedStoreName : 销售一未结算安阳
         * returnStoreName : 销售一退货库
         */

        private Object createdBy;
        private Object createdByName;
        private Object createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private String id;
        private String orderType;
        private Object orderId;
        private int intoStore;
        private int outerStore;
        private int usedStore;
        private int returnStore;
        private String outdeptLedger;
        private Object invoiceOrderAmount;
        private String comments;
        private Object annex;
        private Object verifyTime;
        private Object verifyUserId;
        private Object verifyComment;
        private Object ensureTime;
        private Object ensureUserId;
        private Object ensureComment;
        private String requireTime;
        private Object warehouseTime;
        private Object handoverTime;
        private Object orderDesc;
        private Object erpId;
        private String demond1;
        private String demond2;
        private String demond3;
        private String demond4;
        private String demond5;
        private String verifyUserName;
        private String ensureUserName;
        private String intoStoreName;
        private String outerStoreName;
        private String usedStoreName;
        private String returnStoreName;

        public Object getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(Object createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public Object getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(Object createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getOrderType() {
            return orderType;
        }

        public void setOrderType(String orderType) {
            this.orderType = orderType;
        }

        public Object getOrderId() {
            return orderId;
        }

        public void setOrderId(Object orderId) {
            this.orderId = orderId;
        }

        public int getIntoStore() {
            return intoStore;
        }

        public void setIntoStore(int intoStore) {
            this.intoStore = intoStore;
        }

        public int getOuterStore() {
            return outerStore;
        }

        public void setOuterStore(int outerStore) {
            this.outerStore = outerStore;
        }

        public int getUsedStore() {
            return usedStore;
        }

        public void setUsedStore(int usedStore) {
            this.usedStore = usedStore;
        }

        public int getReturnStore() {
            return returnStore;
        }

        public void setReturnStore(int returnStore) {
            this.returnStore = returnStore;
        }

        public String getOutdeptLedger() {
            return outdeptLedger;
        }

        public void setOutdeptLedger(String outdeptLedger) {
            this.outdeptLedger = outdeptLedger;
        }

        public Object getInvoiceOrderAmount() {
            return invoiceOrderAmount;
        }

        public void setInvoiceOrderAmount(Object invoiceOrderAmount) {
            this.invoiceOrderAmount = invoiceOrderAmount;
        }

        public String getComments() {
            return comments;
        }

        public void setComments(String comments) {
            this.comments = comments;
        }

        public Object getAnnex() {
            return annex;
        }

        public void setAnnex(Object annex) {
            this.annex = annex;
        }

        public Object getVerifyTime() {
            return verifyTime;
        }

        public void setVerifyTime(Object verifyTime) {
            this.verifyTime = verifyTime;
        }

        public Object getVerifyUserId() {
            return verifyUserId;
        }

        public void setVerifyUserId(Object verifyUserId) {
            this.verifyUserId = verifyUserId;
        }

        public Object getVerifyComment() {
            return verifyComment;
        }

        public void setVerifyComment(Object verifyComment) {
            this.verifyComment = verifyComment;
        }

        public Object getEnsureTime() {
            return ensureTime;
        }

        public void setEnsureTime(Object ensureTime) {
            this.ensureTime = ensureTime;
        }

        public Object getEnsureUserId() {
            return ensureUserId;
        }

        public void setEnsureUserId(Object ensureUserId) {
            this.ensureUserId = ensureUserId;
        }

        public Object getEnsureComment() {
            return ensureComment;
        }

        public void setEnsureComment(Object ensureComment) {
            this.ensureComment = ensureComment;
        }

        public String getRequireTime() {
            return requireTime;
        }

        public void setRequireTime(String requireTime) {
            this.requireTime = requireTime;
        }

        public Object getWarehouseTime() {
            return warehouseTime;
        }

        public void setWarehouseTime(Object warehouseTime) {
            this.warehouseTime = warehouseTime;
        }

        public Object getHandoverTime() {
            return handoverTime;
        }

        public void setHandoverTime(Object handoverTime) {
            this.handoverTime = handoverTime;
        }

        public Object getOrderDesc() {
            return orderDesc;
        }

        public void setOrderDesc(Object orderDesc) {
            this.orderDesc = orderDesc;
        }

        public Object getErpId() {
            return erpId;
        }

        public void setErpId(Object erpId) {
            this.erpId = erpId;
        }

        public String getDemond1() {
            return demond1;
        }

        public void setDemond1(String demond1) {
            this.demond1 = demond1;
        }

        public String getDemond2() {
            return demond2;
        }

        public void setDemond2(String demond2) {
            this.demond2 = demond2;
        }

        public String getDemond3() {
            return demond3;
        }

        public void setDemond3(String demond3) {
            this.demond3 = demond3;
        }

        public String getDemond4() {
            return demond4;
        }

        public void setDemond4(String demond4) {
            this.demond4 = demond4;
        }

        public String getDemond5() {
            return demond5;
        }

        public void setDemond5(String demond5) {
            this.demond5 = demond5;
        }

        public String getVerifyUserName() {
            return verifyUserName;
        }

        public void setVerifyUserName(String verifyUserName) {
            this.verifyUserName = verifyUserName;
        }

        public String getEnsureUserName() {
            return ensureUserName;
        }

        public void setEnsureUserName(String ensureUserName) {
            this.ensureUserName = ensureUserName;
        }

        public String getIntoStoreName() {
            return intoStoreName;
        }

        public void setIntoStoreName(String intoStoreName) {
            this.intoStoreName = intoStoreName;
        }

        public String getOuterStoreName() {
            return outerStoreName;
        }

        public void setOuterStoreName(String outerStoreName) {
            this.outerStoreName = outerStoreName;
        }

        public String getUsedStoreName() {
            return usedStoreName;
        }

        public void setUsedStoreName(String usedStoreName) {
            this.usedStoreName = usedStoreName;
        }

        public String getReturnStoreName() {
            return returnStoreName;
        }

        public void setReturnStoreName(String returnStoreName) {
            this.returnStoreName = returnStoreName;
        }
    }

    public static class OrderItemsBean {
        /**
         * createdBy : null
         * createdByName : null
         * createdTime : null
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : 50207b598298430aa0b77cc5a6865844
         * orderId : SO10744
         * productId : 31
         * innerPrice : 741.0
         * productCount : 2.0
         * type : PDS
         * outerPrice : 11.0
         * storeSum : 0.0
         * shipSum : 0.0
         * packageSum : 0.0
         * usedSum : 0.0
         * invoiceSum : 0.0
         * usedReturnSum : null
         * oddSum : 0.0
         * lotNumber : GT200325002
         * serialNumber : null
         * annex : null
         * tranFromStockId : null
         * customerBranchFactoryId : null
         * version : 0
         * productName : 塞棒
         * itemFlows : [{"createdBy":111,"createdByName":null,"createdTime":"2020-03-25 10:49:55","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":902,"orderType":"SO","orderId":"SO10744","productId":31,"orderItemId":"50207b598298430aa0b77cc5a6865844","productCount":0,"eventCode":"SPLIT_PD","linkSerialNumber":null,"optUserId":111,"optComment":"拆成生产订单","eventCodeName":"拆成生产子订单","optUserName":"冯帆","orderTypeName":"销售订单","productName":"塞棒"}]
         * stockQuantityDetailList : null
         * stockQuantityDetailMaps : [{"stockName":"销售一内库","quantity":0,"applyOut":0,"stockTypeName":"内库","stockId":24,"applyInto":0,"productName":null},{"stockName":"销售一安阳现场","quantity":0,"applyOut":0,"stockTypeName":"现场库","stockId":25,"applyInto":0,"productName":null},{"stockName":"销售一未结算安阳","quantity":0,"applyOut":0,"stockTypeName":"未结算库","stockId":26,"applyInto":0,"productName":null}]
         * productSoleCode : 70TNB393001
         * productSimpleCode : B393
         * productSpec : 1530
         * productUnit : 支
         * productWeight : 0.0
         * canOutStoreProductSum : null
         * canInStoreProductSum : null
         * canUseProductSum : null
         * canPackageSum : null
         * launchDeptName : null
         * launchDeptId : null
         * receiveDeptName : null
         * customerId : null
         * customerName : null
         * productOfKind : null
         * canInvoiceSum : null
         * orderType : null
         * customerBranchFactoryName : null
         * orderTypeName : null
         */

        private Object createdBy;
        private Object createdByName;
        private Object createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private String id;
        private String orderId;
        private int productId;
        private double innerPrice;
        private double productCount;
        private String type;
        private double outerPrice;
        private double storeSum;
        private double shipSum;
        private double packageSum;
        private double usedSum;
        private double invoiceSum;
        private Object usedReturnSum;
        private double oddSum;
        private String lotNumber;
        private Object serialNumber;
        private Object annex;
        private Object tranFromStockId;
        private Object customerBranchFactoryId;
        private int version;
        private String productName;
        private Object stockQuantityDetailList;
        private String productSoleCode;
        private String productSimpleCode;
        private String productSpec;
        private String productUnit;
        private double productWeight;
        private Object canOutStoreProductSum;
        private Object canInStoreProductSum;
        private Object canUseProductSum;
        private Object canPackageSum;
        private Object launchDeptName;
        private Object launchDeptId;
        private Object receiveDeptName;
        private Object customerId;
        private Object customerName;
        private Object productOfKind;
        private Object canInvoiceSum;
        private Object orderType;
        private Object customerBranchFactoryName;
        private Object orderTypeName;
        private List<ItemFlowsBean> itemFlows;
        private List<StockQuantityDetailMapsBean> stockQuantityDetailMaps;

        public Object getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(Object createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public Object getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(Object createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public int getProductId() {
            return productId;
        }

        public void setProductId(int productId) {
            this.productId = productId;
        }

        public double getInnerPrice() {
            return innerPrice;
        }

        public void setInnerPrice(double innerPrice) {
            this.innerPrice = innerPrice;
        }

        public double getProductCount() {
            return productCount;
        }

        public void setProductCount(double productCount) {
            this.productCount = productCount;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public double getOuterPrice() {
            return outerPrice;
        }

        public void setOuterPrice(double outerPrice) {
            this.outerPrice = outerPrice;
        }

        public double getStoreSum() {
            return storeSum;
        }

        public void setStoreSum(double storeSum) {
            this.storeSum = storeSum;
        }

        public double getShipSum() {
            return shipSum;
        }

        public void setShipSum(double shipSum) {
            this.shipSum = shipSum;
        }

        public double getPackageSum() {
            return packageSum;
        }

        public void setPackageSum(double packageSum) {
            this.packageSum = packageSum;
        }

        public double getUsedSum() {
            return usedSum;
        }

        public void setUsedSum(double usedSum) {
            this.usedSum = usedSum;
        }

        public double getInvoiceSum() {
            return invoiceSum;
        }

        public void setInvoiceSum(double invoiceSum) {
            this.invoiceSum = invoiceSum;
        }

        public Object getUsedReturnSum() {
            return usedReturnSum;
        }

        public void setUsedReturnSum(Object usedReturnSum) {
            this.usedReturnSum = usedReturnSum;
        }

        public double getOddSum() {
            return oddSum;
        }

        public void setOddSum(double oddSum) {
            this.oddSum = oddSum;
        }

        public String getLotNumber() {
            return lotNumber;
        }

        public void setLotNumber(String lotNumber) {
            this.lotNumber = lotNumber;
        }

        public Object getSerialNumber() {
            return serialNumber;
        }

        public void setSerialNumber(Object serialNumber) {
            this.serialNumber = serialNumber;
        }

        public Object getAnnex() {
            return annex;
        }

        public void setAnnex(Object annex) {
            this.annex = annex;
        }

        public Object getTranFromStockId() {
            return tranFromStockId;
        }

        public void setTranFromStockId(Object tranFromStockId) {
            this.tranFromStockId = tranFromStockId;
        }

        public Object getCustomerBranchFactoryId() {
            return customerBranchFactoryId;
        }

        public void setCustomerBranchFactoryId(Object customerBranchFactoryId) {
            this.customerBranchFactoryId = customerBranchFactoryId;
        }

        public int getVersion() {
            return version;
        }

        public void setVersion(int version) {
            this.version = version;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public Object getStockQuantityDetailList() {
            return stockQuantityDetailList;
        }

        public void setStockQuantityDetailList(Object stockQuantityDetailList) {
            this.stockQuantityDetailList = stockQuantityDetailList;
        }

        public String getProductSoleCode() {
            return productSoleCode;
        }

        public void setProductSoleCode(String productSoleCode) {
            this.productSoleCode = productSoleCode;
        }

        public String getProductSimpleCode() {
            return productSimpleCode;
        }

        public void setProductSimpleCode(String productSimpleCode) {
            this.productSimpleCode = productSimpleCode;
        }

        public String getProductSpec() {
            return productSpec;
        }

        public void setProductSpec(String productSpec) {
            this.productSpec = productSpec;
        }

        public String getProductUnit() {
            return productUnit;
        }

        public void setProductUnit(String productUnit) {
            this.productUnit = productUnit;
        }

        public double getProductWeight() {
            return productWeight;
        }

        public void setProductWeight(double productWeight) {
            this.productWeight = productWeight;
        }

        public Object getCanOutStoreProductSum() {
            return canOutStoreProductSum;
        }

        public void setCanOutStoreProductSum(Object canOutStoreProductSum) {
            this.canOutStoreProductSum = canOutStoreProductSum;
        }

        public Object getCanInStoreProductSum() {
            return canInStoreProductSum;
        }

        public void setCanInStoreProductSum(Object canInStoreProductSum) {
            this.canInStoreProductSum = canInStoreProductSum;
        }

        public Object getCanUseProductSum() {
            return canUseProductSum;
        }

        public void setCanUseProductSum(Object canUseProductSum) {
            this.canUseProductSum = canUseProductSum;
        }

        public Object getCanPackageSum() {
            return canPackageSum;
        }

        public void setCanPackageSum(Object canPackageSum) {
            this.canPackageSum = canPackageSum;
        }

        public Object getLaunchDeptName() {
            return launchDeptName;
        }

        public void setLaunchDeptName(Object launchDeptName) {
            this.launchDeptName = launchDeptName;
        }

        public Object getLaunchDeptId() {
            return launchDeptId;
        }

        public void setLaunchDeptId(Object launchDeptId) {
            this.launchDeptId = launchDeptId;
        }

        public Object getReceiveDeptName() {
            return receiveDeptName;
        }

        public void setReceiveDeptName(Object receiveDeptName) {
            this.receiveDeptName = receiveDeptName;
        }

        public Object getCustomerId() {
            return customerId;
        }

        public void setCustomerId(Object customerId) {
            this.customerId = customerId;
        }

        public Object getCustomerName() {
            return customerName;
        }

        public void setCustomerName(Object customerName) {
            this.customerName = customerName;
        }

        public Object getProductOfKind() {
            return productOfKind;
        }

        public void setProductOfKind(Object productOfKind) {
            this.productOfKind = productOfKind;
        }

        public Object getCanInvoiceSum() {
            return canInvoiceSum;
        }

        public void setCanInvoiceSum(Object canInvoiceSum) {
            this.canInvoiceSum = canInvoiceSum;
        }

        public Object getOrderType() {
            return orderType;
        }

        public void setOrderType(Object orderType) {
            this.orderType = orderType;
        }

        public Object getCustomerBranchFactoryName() {
            return customerBranchFactoryName;
        }

        public void setCustomerBranchFactoryName(Object customerBranchFactoryName) {
            this.customerBranchFactoryName = customerBranchFactoryName;
        }

        public Object getOrderTypeName() {
            return orderTypeName;
        }

        public void setOrderTypeName(Object orderTypeName) {
            this.orderTypeName = orderTypeName;
        }

        public List<ItemFlowsBean> getItemFlows() {
            return itemFlows;
        }

        public void setItemFlows(List<ItemFlowsBean> itemFlows) {
            this.itemFlows = itemFlows;
        }

        public List<StockQuantityDetailMapsBean> getStockQuantityDetailMaps() {
            return stockQuantityDetailMaps;
        }

        public void setStockQuantityDetailMaps(List<StockQuantityDetailMapsBean> stockQuantityDetailMaps) {
            this.stockQuantityDetailMaps = stockQuantityDetailMaps;
        }

        public static class ItemFlowsBean {
            /**
             * createdBy : 111
             * createdByName : null
             * createdTime : 2020-03-25 10:49:55
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * id : 902
             * orderType : SO
             * orderId : SO10744
             * productId : 31
             * orderItemId : 50207b598298430aa0b77cc5a6865844
             * productCount : 0.0
             * eventCode : SPLIT_PD
             * linkSerialNumber : null
             * optUserId : 111
             * optComment : 拆成生产订单
             * eventCodeName : 拆成生产子订单
             * optUserName : 冯帆
             * orderTypeName : 销售订单
             * productName : 塞棒
             */

            private int createdBy;
            private Object createdByName;
            private String createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private Object updatedTime;
            private int id;
            private String orderType;
            private String orderId;
            private int productId;
            private String orderItemId;
            private double productCount;
            private String eventCode;
            private Object linkSerialNumber;
            private int optUserId;
            private String optComment;
            private String eventCodeName;
            private String optUserName;
            private String orderTypeName;
            private String productName;

            public int getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(int createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public Object getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(Object updatedTime) {
                this.updatedTime = updatedTime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getOrderType() {
                return orderType;
            }

            public void setOrderType(String orderType) {
                this.orderType = orderType;
            }

            public String getOrderId() {
                return orderId;
            }

            public void setOrderId(String orderId) {
                this.orderId = orderId;
            }

            public int getProductId() {
                return productId;
            }

            public void setProductId(int productId) {
                this.productId = productId;
            }

            public String getOrderItemId() {
                return orderItemId;
            }

            public void setOrderItemId(String orderItemId) {
                this.orderItemId = orderItemId;
            }

            public double getProductCount() {
                return productCount;
            }

            public void setProductCount(double productCount) {
                this.productCount = productCount;
            }

            public String getEventCode() {
                return eventCode;
            }

            public void setEventCode(String eventCode) {
                this.eventCode = eventCode;
            }

            public Object getLinkSerialNumber() {
                return linkSerialNumber;
            }

            public void setLinkSerialNumber(Object linkSerialNumber) {
                this.linkSerialNumber = linkSerialNumber;
            }

            public int getOptUserId() {
                return optUserId;
            }

            public void setOptUserId(int optUserId) {
                this.optUserId = optUserId;
            }

            public String getOptComment() {
                return optComment;
            }

            public void setOptComment(String optComment) {
                this.optComment = optComment;
            }

            public String getEventCodeName() {
                return eventCodeName;
            }

            public void setEventCodeName(String eventCodeName) {
                this.eventCodeName = eventCodeName;
            }

            public String getOptUserName() {
                return optUserName;
            }

            public void setOptUserName(String optUserName) {
                this.optUserName = optUserName;
            }

            public String getOrderTypeName() {
                return orderTypeName;
            }

            public void setOrderTypeName(String orderTypeName) {
                this.orderTypeName = orderTypeName;
            }

            public String getProductName() {
                return productName;
            }

            public void setProductName(String productName) {
                this.productName = productName;
            }
        }

        public static class StockQuantityDetailMapsBean {
            /**
             * stockName : 销售一内库
             * quantity : 0
             * applyOut : 0
             * stockTypeName : 内库
             * stockId : 24
             * applyInto : 0
             * productName : null
             */

            private String stockName;
            private String quantity;
            private String applyOut;
            private String stockTypeName;
            private int stockId;
            private String applyInto;
            private Object productName;

            public String getStockName() {
                return stockName;
            }

            public void setStockName(String stockName) {
                this.stockName = stockName;
            }

            public String getQuantity() {
                return quantity;
            }

            public void setQuantity(String quantity) {
                this.quantity = quantity;
            }

            public String getApplyOut() {
                return applyOut;
            }

            public void setApplyOut(String applyOut) {
                this.applyOut = applyOut;
            }

            public String getStockTypeName() {
                return stockTypeName;
            }

            public void setStockTypeName(String stockTypeName) {
                this.stockTypeName = stockTypeName;
            }

            public int getStockId() {
                return stockId;
            }

            public void setStockId(int stockId) {
                this.stockId = stockId;
            }

            public String getApplyInto() {
                return applyInto;
            }

            public void setApplyInto(String applyInto) {
                this.applyInto = applyInto;
            }

            public Object getProductName() {
                return productName;
            }

            public void setProductName(Object productName) {
                this.productName = productName;
            }
        }
    }

    public static class OrderFlowsBean {
        /**
         * createdBy : 677
         * createdByName : null
         * createdTime : 2020-03-25 10:56:16
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : 441
         * orderType : SO
         * orderId : SO10744
         * eventCode : ACCEPT_OK
         * optUserId : 677
         * optComment :
         * eventCodeName : 接单
         * optUserName : 陈起来
         * orderTypeName : 销售订单
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private int id;
        private String orderType;
        private String orderId;
        private String eventCode;
        private int optUserId;
        private String optComment;
        private String eventCodeName;
        private String optUserName;
        private String orderTypeName;

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public String getOrderType() {
            return orderType;
        }

        public void setOrderType(String orderType) {
            this.orderType = orderType;
        }

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public String getEventCode() {
            return eventCode;
        }

        public void setEventCode(String eventCode) {
            this.eventCode = eventCode;
        }

        public int getOptUserId() {
            return optUserId;
        }

        public void setOptUserId(int optUserId) {
            this.optUserId = optUserId;
        }

        public String getOptComment() {
            return optComment;
        }

        public void setOptComment(String optComment) {
            this.optComment = optComment;
        }

        public String getEventCodeName() {
            return eventCodeName;
        }

        public void setEventCodeName(String eventCodeName) {
            this.eventCodeName = eventCodeName;
        }

        public String getOptUserName() {
            return optUserName;
        }

        public void setOptUserName(String optUserName) {
            this.optUserName = optUserName;
        }

        public String getOrderTypeName() {
            return orderTypeName;
        }

        public void setOrderTypeName(String orderTypeName) {
            this.orderTypeName = orderTypeName;
        }
    }
}
