package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class TicketBean {

        /**
         * records : [{"createdBy":143,"createdByName":null,"createdTime":"2020-02-25 14:59:25","updatedBy":143,"updatedByName":null,"updatedTime":"2020-02-25 14:59:37","commenceFromId":null,"createdType":null,"id":49,"orderId":null,"orderType":null,"status":"1","applyRemark":"通过","auditRemark":"","serialNumber":"RI20022514592584","deptIdList":null,"ownId":null,"deptId":129,"supplierId":40,"supplierName":"北京首鑫联合耐火材料有限公司1","invoiceType":"PO","invoiceSum":10000,"tax":200,"grossProfit":null,"applierId":143,"applierName":"冷益飞","examedBy":143,"examedByName":"冷益飞","invoiceApplyItems":null,"deptName":"业务部"},{"createdBy":680,"createdByName":null,"createdTime":"2020-01-06 15:56:59","updatedBy":143,"updatedByName":null,"updatedTime":"2020-01-06 16:06:01","commenceFromId":null,"createdType":null,"id":48,"orderId":null,"orderType":null,"status":"1","applyRemark":"4","auditRemark":"","serialNumber":"RI20010615565863","deptIdList":null,"ownId":null,"deptId":129,"supplierId":40,"supplierName":"北京首鑫联合耐火材料有限公司1","invoiceType":"FO","invoiceSum":36,"tax":1,"grossProfit":null,"applierId":680,"applierName":"吴同得","examedBy":143,"examedByName":"吴同得","invoiceApplyItems":null,"deptName":"业务部"},{"createdBy":680,"createdByName":null,"createdTime":"2020-01-03 16:46:40","updatedBy":680,"updatedByName":null,"updatedTime":"2020-01-03 16:47:05","commenceFromId":null,"createdType":null,"id":47,"orderId":null,"orderType":null,"status":"1","applyRemark":"Beizhu ","auditRemark":"","serialNumber":"RI20010316464044","deptIdList":null,"ownId":null,"deptId":129,"supplierId":40,"supplierName":"北京首鑫联合耐火材料有限公司1","invoiceType":"PO","invoiceSum":39,"tax":100,"grossProfit":null,"applierId":680,"applierName":"吴同得","examedBy":680,"examedByName":"吴同得","invoiceApplyItems":null,"deptName":"业务部"},{"createdBy":680,"createdByName":null,"createdTime":"2019-12-31 17:31:56","updatedBy":680,"updatedByName":null,"updatedTime":"2019-12-31 17:32:34","commenceFromId":null,"createdType":null,"id":46,"orderId":null,"orderType":null,"status":"1","applyRemark":"收票","auditRemark":"","serialNumber":"RI19123117315690","deptIdList":null,"ownId":null,"deptId":129,"supplierId":40,"supplierName":"北京首鑫联合耐火材料有限公司1","invoiceType":"PO","invoiceSum":13516,"tax":100,"grossProfit":null,"applierId":680,"applierName":"吴同得","examedBy":680,"examedByName":"吴同得","invoiceApplyItems":null,"deptName":"业务部"}]
         * total : 4
         * size : 10
         * current : 1
         * orders : []
         * searchCount : true
         * pages : 1
         */

        private int total;
        private int size;
        private int current;
        private boolean searchCount;
        private int pages;
        private List<RecordsBean> records;
        private List<?> orders;

        public int getTotal() {
            return total;
        }

        public void setTotal(int total) {
            this.total = total;
        }

        public int getSize() {
            return size;
        }

        public void setSize(int size) {
            this.size = size;
        }

        public int getCurrent() {
            return current;
        }

        public void setCurrent(int current) {
            this.current = current;
        }

        public boolean isSearchCount() {
            return searchCount;
        }

        public void setSearchCount(boolean searchCount) {
            this.searchCount = searchCount;
        }

        public int getPages() {
            return pages;
        }

        public void setPages(int pages) {
            this.pages = pages;
        }

        public List<RecordsBean> getRecords() {
            return records;
        }

        public void setRecords(List<RecordsBean> records) {
            this.records = records;
        }

        public List<?> getOrders() {
            return orders;
        }

        public void setOrders(List<?> orders) {
            this.orders = orders;
        }

        public static class RecordsBean {
            /**
             * createdBy : 143
             * createdByName : null
             * createdTime : 2020-02-25 14:59:25
             * updatedBy : 143
             * updatedByName : null
             * updatedTime : 2020-02-25 14:59:37
             * commenceFromId : null
             * createdType : null
             * id : 49
             * orderId : null
             * orderType : null
             * status : 1
             * applyRemark : 通过
             * auditRemark :
             * serialNumber : RI20022514592584
             * deptIdList : null
             * ownId : null
             * deptId : 129
             * supplierId : 40
             * supplierName : 北京首鑫联合耐火材料有限公司1
             * invoiceType : PO
             * invoiceSum : 10000.0
             * tax : 200.0
             * grossProfit : null
             * applierId : 143
             * applierName : 冷益飞
             * examedBy : 143
             * examedByName : 冷益飞
             * invoiceApplyItems : null
             * deptName : 业务部
             * customerName
             */
            private String customerName;
            private int createdBy;
            private Object createdByName;
            private String createdTime;
            private int updatedBy;
            private Object updatedByName;
            private String updatedTime;
            private Object commenceFromId;
            private Object createdType;
            private int id;
            private Object orderId;
            private Object orderType;
            private String status;
            private String applyRemark;
            private String auditRemark;
            private String serialNumber;
            private Object deptIdList;
            private Object ownId;
            private int deptId;
            private int supplierId;
            private String supplierName;
            private String invoiceType;
            private double invoiceSum;
            private double tax;
            private Object grossProfit;
            private int applierId;
            private String applierName;
            private int examedBy;
            private String examedByName;
            private Object invoiceApplyItems;
            private String deptName;

            public String getCustomerName() {
                return customerName;
            }

            public void setCustomerName(String customerName) {
                this.customerName = customerName;
            }

            public int getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(int createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public int getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(int updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public String getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(String updatedTime) {
                this.updatedTime = updatedTime;
            }

            public Object getCommenceFromId() {
                return commenceFromId;
            }

            public void setCommenceFromId(Object commenceFromId) {
                this.commenceFromId = commenceFromId;
            }

            public Object getCreatedType() {
                return createdType;
            }

            public void setCreatedType(Object createdType) {
                this.createdType = createdType;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public Object getOrderId() {
                return orderId;
            }

            public void setOrderId(Object orderId) {
                this.orderId = orderId;
            }

            public Object getOrderType() {
                return orderType;
            }

            public void setOrderType(Object orderType) {
                this.orderType = orderType;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }

            public String getApplyRemark() {
                return applyRemark;
            }

            public void setApplyRemark(String applyRemark) {
                this.applyRemark = applyRemark;
            }

            public String getAuditRemark() {
                return auditRemark;
            }

            public void setAuditRemark(String auditRemark) {
                this.auditRemark = auditRemark;
            }

            public String getSerialNumber() {
                return serialNumber;
            }

            public void setSerialNumber(String serialNumber) {
                this.serialNumber = serialNumber;
            }

            public Object getDeptIdList() {
                return deptIdList;
            }

            public void setDeptIdList(Object deptIdList) {
                this.deptIdList = deptIdList;
            }

            public Object getOwnId() {
                return ownId;
            }

            public void setOwnId(Object ownId) {
                this.ownId = ownId;
            }

            public int getDeptId() {
                return deptId;
            }

            public void setDeptId(int deptId) {
                this.deptId = deptId;
            }

            public int getSupplierId() {
                return supplierId;
            }

            public void setSupplierId(int supplierId) {
                this.supplierId = supplierId;
            }

            public String getSupplierName() {
                return supplierName;
            }

            public void setSupplierName(String supplierName) {
                this.supplierName = supplierName;
            }

            public String getInvoiceType() {
                return invoiceType;
            }

            public void setInvoiceType(String invoiceType) {
                this.invoiceType = invoiceType;
            }

            public double getInvoiceSum() {
                return invoiceSum;
            }

            public void setInvoiceSum(double invoiceSum) {
                this.invoiceSum = invoiceSum;
            }

            public double getTax() {
                return tax;
            }

            public void setTax(double tax) {
                this.tax = tax;
            }

            public Object getGrossProfit() {
                return grossProfit;
            }

            public void setGrossProfit(Object grossProfit) {
                this.grossProfit = grossProfit;
            }

            public int getApplierId() {
                return applierId;
            }

            public void setApplierId(int applierId) {
                this.applierId = applierId;
            }

            public String getApplierName() {
                return applierName;
            }

            public void setApplierName(String applierName) {
                this.applierName = applierName;
            }

            public int getExamedBy() {
                return examedBy;
            }

            public void setExamedBy(int examedBy) {
                this.examedBy = examedBy;
            }

            public String getExamedByName() {
                return examedByName;
            }

            public void setExamedByName(String examedByName) {
                this.examedByName = examedByName;
            }

            public Object getInvoiceApplyItems() {
                return invoiceApplyItems;
            }

            public void setInvoiceApplyItems(Object invoiceApplyItems) {
                this.invoiceApplyItems = invoiceApplyItems;
            }

            public String getDeptName() {
                return deptName;
            }

            public void setDeptName(String deptName) {
                this.deptName = deptName;
            }
        }
    }
