package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class StockFlowBean {

    /**
     * records : [{"createdBy":680,"createdByName":null,"createdTime":"2019-12-31 17:20:17","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":401,"sqId":81,"type":"22","stockEvent":"SDOUT_OK","orderEvent":"OUTSTORE_OK","orderId":"PO10015","linkSerialNumber":"SDI19123117184497","originStockId":null,"targetStockId":21,"productId":34,"quantity":100,"afterOver":128,"optUserId":680,"optComment":"第一批","commenceFromId":null,"createdType":null,"originStockName":null,"targetStockName":"销售二沙钢现场库","productName":"泰钢耐火纤维板","optUserName":"吴同得","typeName":"解冻出库","stockEventName":"出库审核","orderEventName":"确认发货"},{"createdBy":680,"createdByName":null,"createdTime":"2019-12-31 17:20:04","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":395,"sqId":81,"type":"22","stockEvent":"SDOUT_OK","orderEvent":"OUTSTORE_OK","orderId":"PO10015","linkSerialNumber":"SDI19123117200186","originStockId":null,"targetStockId":21,"productId":34,"quantity":0,"afterOver":128,"optUserId":680,"optComment":"第三批","commenceFromId":null,"createdType":null,"originStockName":null,"targetStockName":"销售二沙钢现场库","productName":"泰钢耐火纤维板","optUserName":"吴同得","typeName":"解冻出库","stockEventName":"出库审核","orderEventName":"确认发货"},{"createdBy":680,"createdByName":null,"createdTime":"2019-12-31 17:20:01","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":393,"sqId":81,"type":"21","stockEvent":"SDOUT_APP","orderEvent":"OUTSTORE_AP","orderId":"PO10015","linkSerialNumber":"SDI19123117200186","originStockId":null,"targetStockId":null,"productId":34,"quantity":0,"afterOver":128,"optUserId":680,"optComment":"第三批","commenceFromId":null,"createdType":null,"originStockName":null,"targetStockName":null,"productName":"泰钢耐火纤维板","optUserName":"吴同得","typeName":"冻结","stockEventName":"出库申请","orderEventName":"发货申请"},{"createdBy":680,"createdByName":null,"createdTime":"2019-12-31 17:18:44","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":391,"sqId":81,"type":"21","stockEvent":"SDOUT_APP","orderEvent":"OUTSTORE_AP","orderId":"PO10015","linkSerialNumber":"SDI19123117184497","originStockId":null,"targetStockId":null,"productId":34,"quantity":100,"afterOver":128,"optUserId":680,"optComment":"第一批","commenceFromId":null,"createdType":null,"originStockName":null,"targetStockName":null,"productName":"泰钢耐火纤维板","optUserName":"吴同得","typeName":"冻结","stockEventName":"出库申请","orderEventName":"发货申请"},{"createdBy":680,"createdByName":null,"createdTime":"2019-12-31 16:29:08","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":380,"sqId":81,"type":"10","stockEvent":"PDIN_OK","orderEvent":"INSTORE_OK","orderId":"PO10013","linkSerialNumber":"INI19123116290489","originStockId":null,"targetStockId":null,"productId":34,"quantity":128,"afterOver":228,"optUserId":680,"optComment":"","commenceFromId":null,"createdType":null,"originStockName":null,"targetStockName":null,"productName":"泰钢耐火纤维板","optUserName":"吴同得","typeName":"入库","stockEventName":"生产入库审核","orderEventName":"入库申请通过"},{"createdBy":680,"createdByName":null,"createdTime":"2019-12-31 15:38:34","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":374,"sqId":81,"type":"10","stockEvent":"PDIN_OK","orderEvent":"INSTORE_OK","orderId":"PO10015","linkSerialNumber":"INI19123115382457","originStockId":null,"targetStockId":null,"productId":34,"quantity":100,"afterOver":100,"optUserId":680,"optComment":"同意","commenceFromId":null,"createdType":null,"originStockName":null,"targetStockName":null,"productName":"泰钢耐火纤维板","optUserName":"吴同得","typeName":"入库","stockEventName":"生产入库审核","orderEventName":"入库申请通过"}]
     * total : 6
     * size : 10
     * current : 1
     * orders : []
     * searchCount : true
     * pages : 1
     */

    private int total;
    private int size;
    private int current;
    private boolean searchCount;
    private int pages;
    private List<RecordsBean> records;
    private List<?> orders;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getCurrent() {
        return current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public boolean isSearchCount() {
        return searchCount;
    }

    public void setSearchCount(boolean searchCount) {
        this.searchCount = searchCount;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public static class RecordsBean {
        /**
         * createdBy : 680
         * createdByName : null
         * createdTime : 2019-12-31 17:20:17
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : 401
         * sqId : 81
         * type : 22
         * stockEvent : SDOUT_OK
         * orderEvent : OUTSTORE_OK
         * orderId : PO10015
         * linkSerialNumber : SDI19123117184497
         * originStockId : null
         * targetStockId : 21
         * productId : 34
         * quantity : 100.0
         * afterOver : 128.0
         * optUserId : 680
         * optComment : 第一批
         * commenceFromId : null
         * createdType : null
         * originStockName : null
         * targetStockName : 销售二沙钢现场库
         * productName : 泰钢耐火纤维板
         * optUserName : 吴同得
         * typeName : 解冻出库
         * stockEventName : 出库审核
         * orderEventName : 确认发货
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private int id;
        private int sqId;
        private String type;
        private String stockEvent;
        private String orderEvent;
        private String orderId;
        private String linkSerialNumber;
        private Object originStockId;
        private int targetStockId;
        private int productId;
        private double quantity;
        private double afterOver;
        private int optUserId;
        private String optComment;
        private Object commenceFromId;
        private Object createdType;
        private String originStockName;
        private String targetStockName;
        private String productName;
        private String optUserName;
        private String typeName;
        private String stockEventName;
        private String orderEventName;
        private String remark;

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getSqId() {
            return sqId;
        }

        public void setSqId(int sqId) {
            this.sqId = sqId;
        }

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getStockEvent() {
            return stockEvent;
        }

        public void setStockEvent(String stockEvent) {
            this.stockEvent = stockEvent;
        }

        public String getOrderEvent() {
            return orderEvent;
        }

        public void setOrderEvent(String orderEvent) {
            this.orderEvent = orderEvent;
        }

        public String getOrderId() {
            return orderId;
        }

        public void setOrderId(String orderId) {
            this.orderId = orderId;
        }

        public String getLinkSerialNumber() {
            return linkSerialNumber;
        }

        public void setLinkSerialNumber(String linkSerialNumber) {
            this.linkSerialNumber = linkSerialNumber;
        }

        public Object getOriginStockId() {
            return originStockId;
        }

        public void setOriginStockId(Object originStockId) {
            this.originStockId = originStockId;
        }

        public int getTargetStockId() {
            return targetStockId;
        }

        public void setTargetStockId(int targetStockId) {
            this.targetStockId = targetStockId;
        }

        public int getProductId() {
            return productId;
        }

        public void setProductId(int productId) {
            this.productId = productId;
        }

        public double getQuantity() {
            return quantity;
        }

        public void setQuantity(double quantity) {
            this.quantity = quantity;
        }

        public double getAfterOver() {
            return afterOver;
        }

        public void setAfterOver(double afterOver) {
            this.afterOver = afterOver;
        }

        public int getOptUserId() {
            return optUserId;
        }

        public void setOptUserId(int optUserId) {
            this.optUserId = optUserId;
        }

        public String getOptComment() {
            return optComment;
        }

        public void setOptComment(String optComment) {
            this.optComment = optComment;
        }

        public Object getCommenceFromId() {
            return commenceFromId;
        }

        public void setCommenceFromId(Object commenceFromId) {
            this.commenceFromId = commenceFromId;
        }

        public Object getCreatedType() {
            return createdType;
        }

        public void setCreatedType(Object createdType) {
            this.createdType = createdType;
        }

        public String getOriginStockName() {
            return originStockName;
        }

        public void setOriginStockName(String originStockName) {
            this.originStockName = originStockName;
        }

        public String getTargetStockName() {
            return targetStockName;
        }

        public void setTargetStockName(String targetStockName) {
            this.targetStockName = targetStockName;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getOptUserName() {
            return optUserName;
        }

        public void setOptUserName(String optUserName) {
            this.optUserName = optUserName;
        }

        public String getTypeName() {
            return typeName;
        }

        public void setTypeName(String typeName) {
            this.typeName = typeName;
        }

        public String getStockEventName() {
            return stockEventName;
        }

        public void setStockEventName(String stockEventName) {
            this.stockEventName = stockEventName;
        }

        public String getOrderEventName() {
            return orderEventName;
        }

        public void setOrderEventName(String orderEventName) {
            this.orderEventName = orderEventName;
        }
    }
}
