package com.wd.workoffice.bean.mesBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class QualityClientBean {

    /**
     * pageNum : 1
     * pageSize : 10
     * size : 10
     * startRow : 1
     * endRow : 10
     * total : 390
     * pages : 39
     * list : [{"id":"04338cdf473411ea8334fa163e1166bd","createDateTime":1580809932000,"updateDateTime":1580809932000,"customerName":"222","englishName":"wwwy577","customerCode":"111","address":"w'w'w","telephone":"0000","delete":null,"createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":"hello","updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello"},{"id":"0f815f03473411ea8334fa163e1166bd","createDateTime":1580809951000,"updateDateTime":1580809951000,"customerName":"ddd","englishName":"d","customerCode":"rrr","address":"hh","telephone":"9090909","delete":null,"createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":"hello","updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello"},{"id":"18de26fe473411ea8334fa163e1166bd","createDateTime":1580809966000,"updateDateTime":1580809966000,"customerName":"21","englishName":null,"customerCode":"111","address":null,"telephone":null,"delete":null,"createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":"hello","updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello"},{"id":"467a29a57f0011ea8334fa163e1166bd","createDateTime":1586944974000,"updateDateTime":1586944974000,"customerName":"测试","englishName":null,"customerCode":"CSBM001·","address":null,"telephone":null,"delete":null,"createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":"hello","updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello"},{"id":"722c039e854411ea8334fa163e1166bd","createDateTime":1587633960000,"updateDateTime":1587633960000,"customerName":"cs001","englishName":null,"customerCode":"CS001","address":null,"telephone":null,"delete":null,"createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":"hello","updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello"},{"id":"83dabc857efa11ea8334fa163e1166bd","createDateTime":1586942500000,"updateDateTime":1586942500000,"customerName":"测试001","englishName":null,"customerCode":"CSBM001","address":null,"telephone":null,"delete":null,"createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":"hello","updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello"},{"id":"9fbbfee77eff11ea8334fa163e1166bd","createDateTime":1586944695000,"updateDateTime":1586944695000,"customerName":"测试","englishName":null,"customerCode":"CSBM002","address":null,"telephone":null,"delete":null,"createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":"hello","updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello"},{"id":"b4be457c61b311ea8334fa163e1166bd","createDateTime":1583723504000,"updateDateTime":1583723504000,"customerName":"21","englishName":"12","customerCode":"12","address":null,"telephone":null,"delete":null,"createUserId":"398c852b38e911ea8334fa163e1166bd","createUserName":"hello","updateUserId":"398c852b38e911ea8334fa163e1166bd","updateUserName":"hello"},{"id":"KG00001","createDateTime":1574697600000,"updateDateTime":1586395507000,"customerName":"安徽创宇电力设备有限公司","englishName":"80445","customerCode":"KG00001","address":"","telephone":null,"delete":null,"createUserId":"SA","createUserName":null,"updateUserId":"SA","updateUserName":null},{"id":"KG00002","createDateTime":1574697600000,"updateDateTime":1586395507000,"customerName":"巴基斯坦","englishName":"80346","customerCode":"KG00002","address":"","telephone":null,"delete":null,"createUserId":"SA","createUserName":null,"updateUserId":"SA","updateUserName":null}]
     * prePage : 0
     * nextPage : 2
     * isFirstPage : true
     * isLastPage : false
     * hasPreviousPage : false
     * hasNextPage : true
     * navigatePages : 8
     * navigatepageNums : [1,2,3,4,5,6,7,8]
     * navigateFirstPage : 1
     * navigateLastPage : 8
     * firstPage : 1
     * lastPage : 8
     */

    private int pageNum;
    private int pageSize;
    private int size;
    private int startRow;
    private int endRow;
    private int total;
    private int pages;
    private int prePage;
    private int nextPage;
    private boolean isFirstPage;
    private boolean isLastPage;
    private boolean hasPreviousPage;
    private boolean hasNextPage;
    private int navigatePages;
    private int navigateFirstPage;
    private int navigateLastPage;
    private int firstPage;
    private int lastPage;
    private List<ListBean> list;
    private List<Integer> navigatepageNums;

    public int getPageNum() {
        return pageNum;
    }

    public void setPageNum(int pageNum) {
        this.pageNum = pageNum;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getStartRow() {
        return startRow;
    }

    public void setStartRow(int startRow) {
        this.startRow = startRow;
    }

    public int getEndRow() {
        return endRow;
    }

    public void setEndRow(int endRow) {
        this.endRow = endRow;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public int getPrePage() {
        return prePage;
    }

    public void setPrePage(int prePage) {
        this.prePage = prePage;
    }

    public int getNextPage() {
        return nextPage;
    }

    public void setNextPage(int nextPage) {
        this.nextPage = nextPage;
    }

    public boolean isIsFirstPage() {
        return isFirstPage;
    }

    public void setIsFirstPage(boolean isFirstPage) {
        this.isFirstPage = isFirstPage;
    }

    public boolean isIsLastPage() {
        return isLastPage;
    }

    public void setIsLastPage(boolean isLastPage) {
        this.isLastPage = isLastPage;
    }

    public boolean isHasPreviousPage() {
        return hasPreviousPage;
    }

    public void setHasPreviousPage(boolean hasPreviousPage) {
        this.hasPreviousPage = hasPreviousPage;
    }

    public boolean isHasNextPage() {
        return hasNextPage;
    }

    public void setHasNextPage(boolean hasNextPage) {
        this.hasNextPage = hasNextPage;
    }

    public int getNavigatePages() {
        return navigatePages;
    }

    public void setNavigatePages(int navigatePages) {
        this.navigatePages = navigatePages;
    }

    public int getNavigateFirstPage() {
        return navigateFirstPage;
    }

    public void setNavigateFirstPage(int navigateFirstPage) {
        this.navigateFirstPage = navigateFirstPage;
    }

    public int getNavigateLastPage() {
        return navigateLastPage;
    }

    public void setNavigateLastPage(int navigateLastPage) {
        this.navigateLastPage = navigateLastPage;
    }

    public int getFirstPage() {
        return firstPage;
    }

    public void setFirstPage(int firstPage) {
        this.firstPage = firstPage;
    }

    public int getLastPage() {
        return lastPage;
    }

    public void setLastPage(int lastPage) {
        this.lastPage = lastPage;
    }

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public List<Integer> getNavigatepageNums() {
        return navigatepageNums;
    }

    public void setNavigatepageNums(List<Integer> navigatepageNums) {
        this.navigatepageNums = navigatepageNums;
    }

    public static class ListBean {
        /**
         * id : 04338cdf473411ea8334fa163e1166bd
         * createDateTime : 1580809932000
         * updateDateTime : 1580809932000
         * customerName : 222
         * englishName : wwwy577
         * customerCode : 111
         * address : w'w'w
         * telephone : 0000
         * delete : null
         * createUserId : 398c852b38e911ea8334fa163e1166bd
         * createUserName : hello
         * updateUserId : 398c852b38e911ea8334fa163e1166bd
         * updateUserName : hello
         */

        private String id;
        private long createDateTime;
        private long updateDateTime;
        private String customerName;
        private String englishName;
        private String customerCode;
        private String address;
        private String telephone;
        private Object delete;
        private String createUserId;
        private String createUserName;
        private String updateUserId;
        private String updateUserName;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public long getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(long createDateTime) {
            this.createDateTime = createDateTime;
        }

        public long getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(long updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getCustomerName() {
            return customerName;
        }

        public void setCustomerName(String customerName) {
            this.customerName = customerName;
        }

        public String getEnglishName() {
            return englishName;
        }

        public void setEnglishName(String englishName) {
            this.englishName = englishName;
        }

        public String getCustomerCode() {
            return customerCode;
        }

        public void setCustomerCode(String customerCode) {
            this.customerCode = customerCode;
        }

        public String getAddress() {
            return address;
        }

        public void setAddress(String address) {
            this.address = address;
        }

        public String getTelephone() {
            return telephone;
        }

        public void setTelephone(String telephone) {
            this.telephone = telephone;
        }

        public Object getDelete() {
            return delete;
        }

        public void setDelete(Object delete) {
            this.delete = delete;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public String getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(String createUserName) {
            this.createUserName = createUserName;
        }

        public String getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(String updateUserId) {
            this.updateUserId = updateUserId;
        }

        public String getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(String updateUserName) {
            this.updateUserName = updateUserName;
        }
    }
}
