package com.wd.workoffice.contract;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.bean.ContactsBean;
import com.wd.workoffice.bean.ContactsList;

import java.util.List;
import java.util.Map;

import flexible.xd.android_base.mvpBase.IBaseModel;
import flexible.xd.android_base.mvpBase.IBasePresenter;
import flexible.xd.android_base.mvpBase.IBaseView;
import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public interface WorkContactsContract {
    interface Model extends IBaseModel {
        Observable<BaseBean> getData(Map<String, Object> param);

    }

    interface View extends IBaseView {
        void getData(List<ContactsBean> dataList);

    }

    interface Presenter extends IBasePresenter<View> {
        void getData(Map<String, Object> param);
    }
}
