package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.ContactsBean;
import com.wd.workoffice.bean.TicketDetailBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class WorkFinancialTicketDetailAdapter extends BaseQuickAdapter<TicketDetailBean, BaseViewHolder> {

    public WorkFinancialTicketDetailAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    @Override
    protected void convert(BaseViewHolder helper, TicketDetailBean item) {
        helper.setText(R.id.tv_name, item.getProductSimpleCode());
        helper.setText(R.id.tv_order, item.getOrderId());
        helper.setText(R.id.tv_spec, item.getProductSpec());
        helper.setText(R.id.tv_unit, item.getProductUnit());
        helper.setText(R.id.tv_weight, String.valueOf(item.getProductWeight()));
        helper.setText(R.id.tv_price, String.valueOf(item.getInvoiceUnitPrice()));
        helper.setText(R.id.tv_num, MathUtils.converData(item.getQuantity(), 3));
    }
}

